"use strict";

var exportify = require("exportify");
var fs = require("fs");
var path = require("path")

var root = path.join(module.filename, "..", "..", "node_modules", "codemirror")
var destination = path.join(module.filename, "..", "..", "theme")

var themes = fs.readdirSync(path.join(root, "theme")).map(function(entry) {
  return path.join(root, "theme", entry)
})

var files = [path.join(root, "lib", "codemirror.css")].concat(themes)

var task = exportify(files, {
  ext: "css",
  resolve: function(file) {
    return path.join(destination, path.basename(file) + ".js")
  }
})
task.on("export", function(file) { console.log("exported " + file) })
task.on("end", function() { console.log('all done') })
